Bug 698662 - Broken dependency on deprecated hal
Summary: Broken dependency on deprecated hal
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: camcardsync (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zarko (grof)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 715733
TreeView+ depends on / blocked
 
Reported: 2011-04-21 13:40 UTC by Nicola Soranzo
Modified: 2011-08-08 14:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-08 14:22:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicola Soranzo 2011-04-21 13:40:58 UTC
Description of problem:
Since HAL has been deprecated upstream for 3 years, Fedora is removing it from
the distribution:

https://fedoraproject.org/wiki/Features/HalRemoval

The hal package is already deprecated and blocked from composes for rawhide.

Therefore, there are some broken dependencies for your package now:

camcardsync-0.1.1-4.fc15.i686 requires libhal.so.1

If these dependencies cannot be removed, this package should probably be deprecated as well:

https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

Version-Release number of selected component (if applicable):
camcardsync-0.1.1-4.fc15

Comment 1 Nicola Soranzo 2011-06-09 13:40:06 UTC
Fedora feature

https://fedoraproject.org/wiki/Features/HalRemoval

has been approved for Fedora 16.

Do you have any news?

Comment 2 Nicola Soranzo 2011-08-08 14:22:33 UTC
Package has been deprecated and removed from f16 and rawhide, closing
this bug report.


Note You need to log in before you can comment on or make changes to this bug.